/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface GetVehiclesReplyOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.GetVehiclesReply)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  java.util.List<protobuf.GetVehiclesReply.VehicleState> 
      getStatesList();
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  protobuf.GetVehiclesReply.VehicleState getStates(int index);
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  int getStatesCount();
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  java.util.List<? extends protobuf.GetVehiclesReply.VehicleStateOrBuilder> 
      getStatesOrBuilderList();
  /**
   * <code>repeated .SimulationController.GetVehiclesReply.VehicleState states = 1;</code>
   */
  protobuf.GetVehiclesReply.VehicleStateOrBuilder getStatesOrBuilder(
      int index);
}
